
CoCoA-5 - Support #251

How to add a test for CoCoA-5 (CoCoAInterpreter)

02 Oct 2012 09:10 - Anna Maria Bigatti

Status: Closed Start date: 02 Oct 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 1.50 hour

Target version: CoCoA-5.1.2 summer 2015 Spent time: 1.75 hour

Description

1. write a test file foo.cocoa5 in tests/

2. run it and check if it really does what you want it to do ;-)

3. add foo.cocoa5 in tests/Makefile (in the list TESTS= ...)

4. in tests/ run (the first make check will obviously return an error)

  make check

  mv foo.found foo.out

  make check

See below for external libs

Related issues:

Related to CoCoA-5 - Feature #243: Normaliz tests for CoCoA5 Closed 28 Sep 2012

Related to CoCoA-5 - Support #286: How to test (automatically) a user defined... Closed 11 Dec 2012

Related to CoCoA-5 - Feature #500: Interpreter: is it possible to avoid usele... Closed 28 Mar 2014

History

#1 - 02 Oct 2012 09:54 - Anna Maria Bigatti

For external libraries:

same as above, but the test file has to be called, say for library Foo,

ExtLibFOO.cocoa5

Such test is run only if the variable HAVE_FOO is set to "yes" in autoconf.mk.

If it isn't no test is run, because a different mechanism has to be used to automatically check "errors" in an easy way (still thinking ...)

#2 - 29 Nov 2012 08:21 - Anna Maria Bigatti

- Category set to Portability

#3 - 29 Nov 2012 08:22 - Anna Maria Bigatti

- Category deleted (Portability)

#4 - 23 Jan 2013 12:31 - Anna Maria Bigatti

- Category set to Manual/documentation

#5 - 02 Apr 2014 17:33 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14
#6 - 14 Apr 2014 09:19 - Anna Maria Bigatti

- Estimated time set to 1.50 h

#7 - 14 Apr 2014 11:02 - John Abbott

JAA suggests as a general rule: try to avoid designing tests that produce much output (unless the test specifically checks some "output" function).

Why do I think this?  Not entirely sure; but I definitely prefer "silent" tests(e.g.  TEST_ASSERT(fn(a,b) == c)).

If a test is long, it might be worth printing out a little "progress report" every so often...?

#8 - 05 May 2014 12:14 - John Abbott

I have recently added a new C5 test (exbugs.cocoa5) and was surprised to find that it produces output.  What happened was that the file was read

using input redirection rather than being passed to C5 as a comand line argument; this means that every input line produced a prompt.

I suggest passing the file name as a cmd line arg to avoid this; doing so would make exbugs.cocoa5 a "silent" test.  This would then require modifying

the expected output of all tests.

#9 - 07 May 2014 14:13 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#10 - 11 Sep 2014 17:45 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.2 summer 2015

#11 - 29 Jul 2015 12:12 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
